> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://next.developer.frame.io/platform/v2/api-reference/comments/create-reply/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://next.developer.frame.io/_mcp/server. # Leave a Reply on a Comment POST https://api.frame.io/v2/comments/{comment_id}/replies Content-Type: application/json Leave a Reply on a given Comment Reference: https://next.developer.frame.io/platform/v2/api-reference/comments/create-reply ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `comment_id` (string, required) ### Body (application/json) This endpoint expects an object. - `text` (string, required) — The body of the comment. - `annotation` (string, optional) — Serialized list of geometry and/or drawing data. Learn more [here](https://developer.frame.io/docs/workflows-assets/working-with-annotations) - `page` (integer, optional) — Page number for a comment (documents only). - `timestamp` (double, optional) — Timestamp for the comment, in frames, starting at 0. Comments can "global" to an asset in which you don't provide the timestamp, or if you're reviewing a "document" like a PDF then you would use `page` instead of `timestamp` to identify where the comment belongs. - `duration` (integer, optional) — Used to produce range-based comments, this is the duration measured in frames. - `private` (boolean, optional) — Set to true to make your comment a "Team-only Comment" that won't be visible to anonymous reviewers or Collaborators. - `pitch` (integer, optional, deprecated) — Pitch measurement for the comment (360deg video only). - `yaw` (integer, optional, deprecated) — Yaw measurement for the comment (360deg video only). ## Response ### 200 Comment success response - `annotation` (string, optional) - `completed` (boolean, optional) - `completed_at` (string, optional) - `completer_id` (string, optional) - `has_replies` (boolean, optional) - `id` (string, optional) - `like_count` (integer, optional) - `owner` (User, optional) — User model - `owner_id` (string, optional) - `text` (string, optional) - `timestamp` (integer, optional) ## Errors ### 401 Unauthorized Error Unauthorized response - `code` (integer, optional) - `errors` (list of HttpErrorErrorsItems, optional) - `message` (string, optional) ### 404 Not Found Error Not Found response - `code` (integer, optional) - `errors` (list of HttpErrorErrorsItems, optional) - `message` (string, optional) ## Types ### User User model - `digest_frequency` (string, optional) - `features_seen` (any, optional) - `profile_image_original` (any, optional) - `image_32` (string, optional) - `image_128` (string, optional) - `from_google` (boolean, optional) - `mfa_enforced_at` (string, optional) - `email` (string, optional) - `bio` (any, optional) - `name` (string, optional) - `image_64` (string, optional) - `timezone_value` (string, optional) - `account_id` (string, optional) - `updated_at` (string, optional) - `image_256` (string, optional) - `_type` (string, optional) - `user_hash` (string, optional) - `context` (any, optional) - `upload_url` (string, optional) - `location` (any, optional) - `phone` (any, optional) - `deleted_at` (any, optional) - `profile_image` (string, optional) - `first_login_at` (string, optional) - `joined_via` (string, optional) - `email_confirm_by` (any, optional) - `id` (string, optional) - `next_digest_date` (string, optional) - `email_preferences` (any, optional) - `last_seen` (string, optional) - `inserted_at` (string, optional) - `from_adobe` (boolean, optional) - `avatar_color` (string, optional) - `highest_account_role` (string, optional) - `integrations` (list of string, optional) - `roles` (UserRoles, optional) - `user_default_color` (string, optional) ### HttpErrorErrorsItems - `code` (integer, optional) - `detail` (string, optional) - `status` (integer, optional) - `title` (string, optional) ### UserRoles - `admin` (boolean, optional) - `id` (string, optional) - `sales` (boolean, optional) - `support` (boolean, optional) - `service_desk` (boolean, optional) ## Examples **Request** ```json { "text": "string" } ``` **Response** ```json { "annotation": "[...]", "completed": false, "completed_at": "2020-07-15T17:30:00.906305Z", "completer_id": "aaaaaaaa-aaaa-aaaa-aaaa-aaaaaaaaaaaa", "has_replies": true, "id": "aaaaaaaa-aaaa-aaaa-aaaa-aaaaaaaaaaaa", "like_count": 10, "owner": { "email": "jane@frame.io", "name": "Jane Doe", "account_id": "bbbbbbbb-bbbb-bbbb-bbbb-bbbbbbbbbbbb", "id": "aaaaaaaa-aaaa-aaaa-aaaa-aaaaaaaaaaaa" }, "owner_id": "bbbbbbbb-bbbb-bbbb-bbbb-bbbbbbbbbbbb", "text": "This is a comment.", "timestamp": 60 } ``` **SDK Code** ```python response import requests url = "https://api.frame.io/v2/comments/comment_id/replies" payload = { "text": "string" } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript response const url = 'https://api.frame.io/v2/comments/comment_id/replies'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{"text":"string"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go response package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.frame.io/v2/comments/comment_id/replies" payload := strings.NewReader("{\n \"text\": \"string\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby response require 'uri' require 'net/http' url = URI("https://api.frame.io/v2/comments/comment_id/replies") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"text\": \"string\"\n}" response = http.request(request) puts response.read_body ``` ```java response import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.frame.io/v2/comments/comment_id/replies") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"text\": \"string\"\n}") .asString(); ``` ```php response request('POST', 'https://api.frame.io/v2/comments/comment_id/replies', [ 'body' => '{ "text": "string" }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp response using RestSharp; var client = new RestClient("https://api.frame.io/v2/comments/comment_id/replies"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"text\": \"string\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift response import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = ["text": "string"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.frame.io/v2/comments/comment_id/replies")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```